> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check RCS capabilities



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging/rcs.yml get /messaging/rcs/capabilities/{agent_id}/{phone_number}
openapi: 3.1.0
info:
  title: Telnyx RCS Messaging API
  version: 2.0.0
  description: API for RCS messaging.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /messaging/rcs/capabilities/{agent_id}/{phone_number}:
    get:
      tags:
        - RCS
      summary: Check RCS capabilities
      operationId: ListRCSCapabilitiesOfAPhoneNumber
      parameters:
        - name: agent_id
          in: path
          description: RCS agent ID
          required: true
          schema:
            type: string
        - name: phone_number
          in: path
          description: Phone number in E164 format
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RCSCapabilitiesSingle'
        4XX:
          $ref: '#/components/responses/messaging_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.messaging.rcs.retrieveCapabilities('phone_number', {
              agent_id: 'agent_id',
            });


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.messaging.rcs.retrieve_capabilities(
                phone_number="phone_number",
                agent_id="agent_id",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Messaging.Rcs.GetCapabilities(\n\t\tcontext.TODO(),\n\t\t\"phone_number\",\n\t\ttelnyx.MessagingRcGetCapabilitiesParams{\n\t\t\tAgentID: \"agent_id\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messaging.rcs.RcRetrieveCapabilitiesParams;

            import
            com.telnyx.sdk.models.messaging.rcs.RcRetrieveCapabilitiesResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    RcRetrieveCapabilitiesParams params = RcRetrieveCapabilitiesParams.builder()
                        .agentId("agent_id")
                        .phoneNumber("phone_number")
                        .build();
                    RcRetrieveCapabilitiesResponse response = client.messaging().rcs().retrieveCapabilities(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.messaging.rcs.retrieve_capabilities("phone_number", agent_id:
            "agent_id")


            puts(response)
        - lang: CLI
          source: |-
            telnyx messaging:rcs retrieve-capabilities \
              --api-key 'My API Key' \
              --agent-id agent_id \
              --phone-number phone_number
components:
  schemas:
    RCSCapabilitiesSingle:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/RCSCapabilitiesInternal'
    RCSCapabilitiesInternal:
      type: object
      properties:
        record_type:
          type: string
          example: rcs.capabilities
          enum:
            - rcs.capabilities
          description: Identifies the type of the resource
        phone_number:
          type: string
          example: '+13125551234'
          description: Phone number
        agent_id:
          type: string
          example: TestAgent
          description: RCS agent ID
        agent_name:
          type: string
          example: Testing agent
          description: RCS agent name
        features:
          type: array
          description: List of RCS capabilities
          items:
            type: string
    messaging_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/messaging_Error'
    messaging_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          x-format: integer
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
  responses:
    messaging_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/messaging_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````